Bug 663907 - add-in intel card recognized as embedded (Optiplex GX620)
Summary: add-in intel card recognized as embedded (Optiplex GX620)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: biosdevname
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 501533
TreeView+ depends on / blocked
 
Reported: 2010-12-17 10:12 UTC by Tomasz Torcz
Modified: 2011-02-19 03:50 UTC (History)
10 users (show)

Fixed In Version: biosdevname-0.3.7-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-19 03:50:33 UTC
Type: ---


Attachments (Terms of Use)
lspci -v output (7.60 KB, text/plain)
2010-12-17 10:12 UTC, Tomasz Torcz
no flags Details
dmidecode output (17.46 KB, text/plain)
2010-12-17 10:12 UTC, Tomasz Torcz
no flags Details
biosdevname-recursion.patch (1.81 KB, patch)
2011-01-30 06:02 UTC, Matt Domsch
no flags Details | Diff

Description Tomasz Torcz 2010-12-17 10:12:10 UTC
Created attachment 469325 [details]
lspci -v output

Description of problem:
I have couple Dell Optiplexes GX620 with latest BIOS.  They have one network card 
embedded in motherboard (tg3 driver) and I put additional Intel e100 PCI card in them. Both cards are treated as emX type.

Current git version os b-d-n shows:

# biosdevname -d
BIOS device: em0
Kernel name: eth0
Permanant MAC: 00:18:8B:15:BE:85
Assigned MAC : 00:18:8B:15:BE:85
Driver: tg3
Driver version: 3.113
Firmware version: 5751-v3.44a
Bus Info: 0000:02:00.0
PCI name      : 0000:02:00.0
PCI Slot      : embedded
Embededed Index: 0

BIOS device: em1
Kernel name: eth2
Permanant MAC: 00:02:B3:4B:4D:96
Assigned MAC : 00:02:B3:4B:4D:96
Driver: e100
Driver version: 3.5.24-k2-NAPI
Firmware version: N/A
Bus Info: 0000:04:00.0
PCI name      : 0000:04:00.0
PCI Slot      : embedded
Embededed Index: 1

BIOS device: 
Kernel name: eth1
Assigned MAC : FA:0F:72:64:93:55
Driver: macvlan
Driver version: 0.1
Firmware version: 
Bus Info: 

(please ignore eth1, it was created for some other stuff using "ip link add link eth0 type macvlan")

pirq output:
PCI IRQ Routing Table
Signature: $PIR
Version  : 100
Size     : f0h
Bus      : 0
DevFn    : f8
Exclusive IRQs : 0
Compatable Router: 27b08086
Slot 0: PCI 0:1. INTA link 60 irq cef8 B link 61 irq cef8 C link 62 irq cef8 D link 63 irq cef8 
Slot 0: PCI 0:2. INTA link 60 irq cef8 B link 61 irq cef8 C link 62 irq cef8 D link 63 irq cef8 
Slot 0: PCI 0:1c. INTA link 60 irq cef8 B link 61 irq cef8 C link 62 irq cef8 D link 63 irq cef8 
Slot 0: PCI 0:1d. INTA link 69 irq cef8 B link 6a irq cef8 C link 62 irq cef8 D link 6b irq cef8 
Slot 0: PCI 0:1e. INTA link 6b irq cef8 B link 61 irq cef8 C link 0 irq 0 D link 0 irq 0 
Slot 0: PCI 0:1f. INTA link 60 irq cef8 B link 61 irq cef8 C link 68 irq cef8 D link 0 irq 0 
Slot 10: PCI 1:0. INTA link 60 irq cef8 B link 61 irq cef8 C link 62 irq cef8 D link 63 irq cef8 
Slot 0: PCI 2:0. INTA link 60 irq cef8 B link 0 irq 0 C link 0 irq 0 D link 0 irq 0 
Slot 5: PCI 3:0. INTA link 61 irq cef8 B link 62 irq cef8 C link 63 irq cef8 D link 60 irq cef8 
Slot 1: PCI 4:1. INTA link 61 irq cef8 B link 62 irq cef8 C link 63 irq cef8 D link 60 irq cef8 
Slot 2: PCI 4:0. INTA link 60 irq cef8 B link 61 irq cef8 C link 62 irq cef8 D link 63 irq cef8 
Slot 3: PCI 4:2. INTA link 62 irq cef8 B link 63 irq cef8 C link 60 irq cef8 D link 61 irq cef8 
Slot 4: PCI 4:3. INTA link 63 irq cef8 B link 60 irq cef8 C link 61 irq cef8 D link 62 irq cef8 


Hardware enumeration on PCs still is tricky ;)

Comment 1 Tomasz Torcz 2010-12-17 10:12:38 UTC
Created attachment 469326 [details]
dmidecode output

Comment 2 Matt Domsch 2011-01-30 06:02:08 UTC
Created attachment 475987 [details]
biosdevname-recursion.patch

Tomasz, would you care to test upstream biosdevname source, plus this patch?  git://linux.dell.com/biosdevname.git for the tree, plus this patch attached.

Thanks,
Matt

Comment 3 Tomasz Torcz 2011-01-31 06:33:43 UTC
Matt,

It seems that you already included this patch as d428719821e907d3c88de1d816a18bc2138cbc05.

I can report that upstream biosdevname works correctly:

# ./biosdevname -d
BIOS device: em1
Kernel name: em1
Permanant MAC: 00:18:8B:15:C6:0B
Assigned MAC : 00:18:8B:15:C6:0B
Driver: tg3
Driver version: 3.115
Firmware version: 5751-v3.44a
Bus Info: 0000:02:00.0
PCI name      : 0000:02:00.0
PCI Slot      : embedded
Embededed Index: 1

BIOS device: pci3p1   ←←←←
Kernel name: em2
Permanant MAC: 00:90:27:C5:10:92
Assigned MAC : 00:90:27:C5:10:92
Driver: e100
Driver version: 3.5.24-k2-NAPI
Firmware version: N/A
Bus Info: 0000:04:02.0
PCI name      : 0000:04:02.0
PCI Slot      : 3
Index in slot: 1

Comment 5 Marizol Martinez 2011-02-15 19:29:28 UTC
Matt -- Do we have a corresponding BZ for RHEL 6.1? We'll need one. Thanks!

Comment 6 Shyam Iyer 2011-02-17 15:36:16 UTC
(In reply to comment #5)
> Matt -- Do we have a corresponding BZ for RHEL 6.1? We'll need one. Thanks!

Already in rhel6.1 tree so not required.

Comment 7 Marizol Martinez 2011-02-17 15:41:17 UTC
Great, thanks Shyam!

Comment 8 Fedora Update System 2011-02-17 16:23:16 UTC
biosdevname-0.3.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/biosdevname-0.3.7-1.fc15

Comment 9 Fedora Update System 2011-02-17 22:24:50 UTC
biosdevname-0.3.7-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update biosdevname'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/biosdevname-0.3.7-1.fc15

Comment 10 Fedora Update System 2011-02-19 03:50:05 UTC
biosdevname-0.3.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.